Package com.treemap.treeplot

# Class DefaultTreePlotToolTip<N,Row,Column,Component,Color,Font>

java.lang.Object
com.treemap.treeplot.AbstractTreePlotToolTip<N,Row,Column,Component,Color,Font>
com.treemap.treeplot.DefaultTreePlotToolTip<N,Row,Column,Component,Color,Font>

All Implemented Interfaces:
  `TreeMapToolTip<N,Row,Column,Color,Font>`

public class DefaultTreePlotToolTip<N,Row,Column,Component,Color,Font> extends AbstractTreePlotToolTip<N,Row,Column,Component,Color,Font>
Created by luc on 06.05.17.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.TreeMapToolTip

  `TreeMapToolTip.ToolTipType`

- ## Field Summary

  ### Fields inherited from class com.treemap.treeplot.AbstractTreePlotToolTip

  `leftShift, node, popup, topShift, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreePlotToolTip(TreePlotView<Component,N,Row,Column,Color,Font> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  `com.macrofocus.geom.Point`
  `getPreferredLocation()`
  Gets the preferred location of the tooltip relative to the TreeMapView.
  `TreeMapToolTip.ToolTipType`
  `getType()`
  Gets the type of tooltip.
  `int`
  `getWidth()`
  `void`
  `setSize(Dimension d)`
  `void`
  `setType(TreeMapToolTip.ToolTipType type)`
  Sets the type of the tooltip.

  ### Methods inherited from class com.treemap.treeplot.AbstractTreePlotToolTip

  `createPopup, getBorderColor, getInsets, getNode, getPopup, getPopupLocation, getPreferredLocation, getPreferredSize, getPreferredWidth, getRenderer, getView, hidePopup, paintBackground, paintText, setNode, setPreferredWidth, setRenderer, showNode, showPopup`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTreePlotToolTip

    public DefaultTreePlotToolTip(TreePlotView<Component,N,Row,Column,Color,Font> view)

- ## Method Details

  - ### setSize

    public void setSize(Dimension d)

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### getPreferredLocation

    public com.macrofocus.geom.Point getPreferredLocation()
    Description copied from interface: `TreeMapToolTip`
    Gets the preferred location of the tooltip relative to the TreeMapView.
    Returns:
      the preferred location

  - ### getType

    public TreeMapToolTip.ToolTipType getType()
    Description copied from interface: `TreeMapToolTip`
    Gets the type of tooltip.
    Returns:
      the type of the tooltip.

  - ### setType

    public void setType(TreeMapToolTip.ToolTipType type)
    Description copied from interface: `TreeMapToolTip`
    Sets the type of the tooltip.
    Parameters:
      `type` - the tooltip type.